.TH XScreenSaver 1 "5-May-2004" "X Version 11"
.SH NAME
m6502 - 6502 Microprocessor Emulator
.SH SYNOPSIS
.B m6502
[\-\-display \fIhost:display.screen\fP] [\-\-foreground \fIcolor\fP]
[\-\-background \fIcolor\fP] [\-\-window] [\-\-root]
[\-\-window\-id \fInumber\fP][\-\-mono] [\-\-install]
[\-\-visual \fIvisual\fP] [\-\-file \fIfilename\fP] [-displaytime \fIseconds\fP]
[\-\-fps]
.SH DESCRIPTION
The 
.I m6502 
screensaver emulates a 6502 microprocessor. The family of 6502 chips were used throughout the 70's and 80's in machines such as the Atari 2600, Commodore PET, VIC20 and C64, Apple ][, and the NES. Some example programs are included and it can also read in an assembly file as input. 

.SH OPTIONS
.I m6502
accepts the following options:
.TP 8
.B \-\-window
Draw on a newly-created window.  This is the default.
.TP 8
.B \-\-root
Draw on the root window.
.TP 8
.B \-\-window\-id \fInumber\fP
Draw on the specified window.
.TP 8
.B \-\-mono 
If on a color display, pretend we're on a monochrome display.
.TP 8
.B \-\-install
Install a private colormap for the window.
.TP 8
.B \-\-visual \fIvisual\fP
Specify which visual to use.  Legal values are the name of a visual class,
or the id number (decimal or hex) of a specific visual.
.TP 8
.B \-\-file \fIfilename\fP
Lets you load an assembly file.
.TP 8
.B \-\-displaytime \fIseconds\fP
Lets you set the number of seconds to display each program. The default is 60.

.TP 8
.B \-\-fps
Display the current frame rate and CPU load.
.SH ENVIRONMENT
.PP
.TP 8
.B DISPLAY
to get the default host and display number.
.TP 8
.B XENVIRONMENT
to get the name of a resource file that overrides the global resources
stored in the RESOURCE_MANAGER property.
.TP 8
.B XSCREENSAVER_WINDOW
The window ID to use with \fI\-\-root\fP.
.SH X RESOURCES
Notable X resources supported include the following which correspond
to standard TV controls:
.BR analogTVTint ,
.BR analogTVColor ,
.BR analogTVBrightness ,
and
.BR analogTVContrast .
They range from 0 to 100, except for tint which is an angle
between -180 and +180.
.SH TRADEMARKS
I'm sure some of the programs contain trademarks.
.SH SEE ALSO
.BR X (1),
.BR xscreensaver (1),
.BR xanalogtv (MANSUFFIX),
.BR apple2 (MANSUFFIX)
.SH COPYRIGHT
Permission to use, copy, modify, distribute, and sell this software
and its documentation for any purpose is hereby granted without fee,
provided that the above copyright notice appear in all copies and that
both that copyright notice and this permission notice appear in
supporting documentation.  No representations are made about the
suitability of this software for any purpose.  It is provided "as is"
without express or implied warranty.
.SH AUTHOR
Original Javascript Version by Stian Soreng; 2006.
Ported to XScreenSaver by Jeremy English; 2007.
